<?php
namespace App\Controllers;

use App\Models\Settings;

class SettingsController
{
    /**
     * Muestra la configuración del sistema
     */
    public function index()
    {
        $configuracion = Settings::getAll();
        include '../app/Views/settings/index.php';
    }

    /**
     * Guarda los cambios en la configuración del sistema
     */
    public function update()
    {
        $datosConfig = $_POST;

        if (empty($datosConfig)) {
            $_SESSION['error'] = "No hay datos para actualizar.";
            header("Location: /settings");
            exit;
        }

        Settings::update($datosConfig);

        $_SESSION['success'] = "Configuración actualizada correctamente.";
        header("Location: /settings");
        exit;
    }
}
