<!-- Archivo: create.php -->
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Crear Factura</title>
    <link rel="stylesheet" href="/public/css/styles.css">
</head>
<body>
    <div class="invoice-container">
        <h2>Crear Nueva Factura</h2>
        <form action="/invoices/store" method="POST">
            <label for="cliente_nombre">Nombre del Cliente</label>
            <input type="text" name="cliente_nombre" required>
            
            <label for="cliente_cuit">CUIT del Cliente</label>
            <input type="text" name="cliente_cuit" required>
            
            <label for="fecha_emision">Fecha de Emisión</label>
            <input type="date" name="fecha_emision" required>
            
            <label for="total_general">Total</label>
            <input type="number" step="0.01" name="total_general" required>
            
            <button type="submit">Guardar Factura</button>
        </form>
    </div>
</body>
</html>
