<!-- Archivo: list.php (Reportes) -->
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Listado de Reportes</title>
    <link rel="stylesheet" href="/public/css/styles.css">
</head>
<body>
    <div class="report-container">
        <h2>Listado de Reportes</h2>
        <a href="/reports/create" class="btn btn-primary">Nuevo Reporte</a>
        <table>
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Título</th>
                    <th>Fecha de Creación</th>
                    <th>Acciones</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($reportes as $reporte): ?>
                <tr>
                    <td><?= $reporte['id'] ?></td>
                    <td><?= $reporte['titulo'] ?></td>
                    <td><?= $reporte['fecha_creacion'] ?></td>
                    <td>
                        <a href="/reports/view/<?= $reporte['id'] ?>" class="btn btn-info">Ver</a>
                        <a href="/reports/delete/<?= $reporte['id'] ?>" class="btn btn-danger" onclick="return confirm('¿Estás seguro de eliminar este reporte?');">Eliminar</a>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</body>
</html>
